package com.dgtly.system.mapper;

import com.dgtly.system.domain.SysThemeInfo;
import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 * 
 * @author dgtly
 * @date 2019-11-05
 */
public interface SysThemeInfoMapper 
{
    /**
     * 查询【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 【请填写功能名称】
     */
    public SysThemeInfo selectSysThemeInfoById(Long id);

    /**
     * 查询【请填写功能名称】列表
     * 
     * @param sysThemeInfo 【请填写功能名称】
     * @return 【请填写功能名称】集合
     */
    public List<SysThemeInfo> selectSysThemeInfoList(SysThemeInfo sysThemeInfo);

    /**
     * 新增【请填写功能名称】
     * 
     * @param sysThemeInfo 【请填写功能名称】
     * @return 结果
     */
    public int insertSysThemeInfo(SysThemeInfo sysThemeInfo);

    /**
     * 修改【请填写功能名称】
     * 
     * @param sysThemeInfo 【请填写功能名称】
     * @return 结果
     */
    public int updateSysThemeInfo(SysThemeInfo sysThemeInfo);

    /**
     * 删除【请填写功能名称】
     * 
     * @param id 【请填写功能名称】ID
     * @return 结果
     */
    public int deleteSysThemeInfoById(Long id);

    /**
     * 批量删除【请填写功能名称】
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    public int deleteSysThemeInfoByIds(String[] ids);

    /**
     * 根据用户id查询
     *
     * @param userId 用户Id
     * @return 【请填写功能名称】
     */
    SysThemeInfo selectSysThemeInfoByUserId(Long userId);
}
